Last Comment Bug 671550 - provide correct parent HWND for content process window
: provide correct parent HWND for content process window
Status: RESOLVED FIXED
[e10s]
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All Windows 7
: -- normal (vote)
: mozilla8
Assigned To: alexander :surkov
:
Mentors:
Depends on: 683099
Blocks: 646596
  Show dependency treegraph
 
Reported: 2011-07-14 07:30 PDT by alexander :surkov
Modified: 2011-08-29 23:56 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (18.21 KB, patch)
2011-07-14 07:30 PDT, alexander :surkov
no flags Details | Diff | Review
patch2 (18.90 KB, patch)
2011-07-20 07:20 PDT, alexander :surkov
dbolter: review+
Details | Diff | Review
patch3 (18.12 KB, patch)
2011-07-21 10:56 PDT, alexander :surkov
cjones.bugs: review+
Details | Diff | Review

Description alexander :surkov 2011-07-14 07:30:10 PDT
Created attachment 545908 [details] [diff] [review]
patch

JAWS doesn't work still, though it should, WM_GETOBJECT is handled, events are fired, get_accChild works.

How can I get a try build on electrolysis branch to share?
Comment 1 David Bolter [:davidb] 2011-07-14 08:41:20 PDT
Just push to try.
Comment 2 alexander :surkov 2011-07-15 06:19:48 PDT
(In reply to comment #1)
> Just push to try.

Does it really build on electrolysis branch? I get build errors.
Comment 3 :Felipe Gomes (needinfo me!) 2011-07-15 16:27:29 PDT
All the relevant patches from electrolysis have been pushed to mozilla-central, you can just use m-c now.
Comment 4 alexander :surkov 2011-07-20 07:20:55 PDT
Created attachment 547082 [details] [diff] [review]
patch2
Comment 5 David Bolter [:davidb] 2011-07-20 11:04:22 PDT
Comment on attachment 547082 [details] [diff] [review]
patch2

Review of attachment 547082 [details] [diff] [review]:
-----------------------------------------------------------------

r=me. As far as I can tell we don't need to worry about config options here right?

::: accessible/src/msaa/nsDocAccessibleWrap.cpp
@@ +281,5 @@
>        nsRootAccessible* rootDocument = RootAccessible();
>  
> +      void* nativeData = nsnull;
> +      if (tabChild)
> +        tabChild->SendGetWidgetNativeData(&nativeData);

What about "SendGetWidgetHwnd"?

@@ +300,5 @@
>          docShell->GetIsActive(&isActive);
>        }
>  
> +      HWND parentWnd = static_cast<HWND>(nativeData);
> +      //HWND parentWnd = static_cast<HWND>(rootDocument->GetNativeWindow());

remove comment.
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-07-20 14:36:07 PDT
Comment on attachment 547082 [details] [diff] [review]
patch2

Serializing voidPtr is overly general and misleading, so we've avoided it so far.  In bug 648484, we also need to serialize HWNDs and added a "WindowsHandle" helper thusly


diff --git a/ipc/glue/IPCMessageUtils.h b/ipc/glue/IPCMessageUtils.h
--- a/ipc/glue/IPCMessageUtils.h
+++ b/ipc/glue/IPCMessageUtils.h
@@ -68,16 +68,20 @@ namespace base { class FileDescriptor { 
 
 using mozilla::layers::LayerManager;
 
 namespace mozilla {
 
 typedef gfxPattern::GraphicsFilter GraphicsFilterType;
 typedef gfxASurface::gfxSurfaceType gfxSurfaceType;
 typedef LayerManager::LayersBackend LayersBackend;
+typedef gfxASurface::gfxImageFormat PixelFormat;
+// This is a cross-platform approximation to HANDLE, which we expect
+// to be typedef'd to void* or thereabouts.
+typedef uintptr_t WindowsHandle;


so that your protocol have have |using mozilla::WindowsHandle;|.  That bug has been backed out twice now :/, but I'd prefer you borrow that snipped instead of using voidPtr.
Comment 7 alexander :surkov 2011-07-21 10:56:14 PDT
Created attachment 547441 [details] [diff] [review]
patch3
Comment 9 :Ehsan Akhgari (busy, don't ask for review please) 2011-07-22 14:14:12 PDT
http://hg.mozilla.org/mozilla-central/rev/f1d496722775

Note You need to log in before you can comment on or make changes to this bug.